---
- name: install deb packages to check SMART status
  apt:
    state: latest
    name:
      - smartmontools
      - moreutils

- name: install script to check SMART status
  # from https://github.com/prometheus-community/node-exporter-textfile-collector-scripts/blob/master/smartmon.sh
  copy:
    src: smartmon.sh
    dest: "{{ node_exporter_dir }}/smartmon.sh"
    mode: "0755"
    owner: root
    group: root
  notify: restart check_smartmon service

- name: configure script to check SMART status
  template:
    src: check_smartmon.j2
    dest: "{{ node_exporter_dir }}/check_smartmon"
    mode: "0755"
    owner: root
    group: root
  notify: restart check_smartmon service

- name: configure smartmon service and timer
  template:
    src: "{{ item }}.j2"
    dest: "/etc/systemd/system/{{ item }}"
    owner: root
    group: root
    mode: 0644
  with_items:
    - check_smartmon.service
    - check_smartmon.timer
  notify: restart check_smartmon service

- name: enable smartmon service and timer
  systemd:
    daemon_reload: true
    enabled: true
    name: "{{ item }}"
  with_items:
    - check_smartmon.service
    - check_smartmon.timer
  notify: restart check_smartmon service
